<block-ui message="Loading..."> </block-ui>
<div class="modal-wrapper">
  <div id="event-form-dialog" class="dialog-content-wrapper">
    <mat-toolbar *ngIf="actiondata != 'edit'">
      <span class="title dialog-title QUI_BOLD_24_32">UPLOADING DOCUMENT</span>
    </mat-toolbar>
    <mat-toolbar *ngIf="actiondata == 'edit'">
      <span class="title dialog-title QUI_BOLD_24_32">EDIT DETAILS</span>
    </mat-toolbar>
    <form [formGroup]="UploadDocumentForm" class="event-form w-100-p" fxLayout="column" fxFlex>
      <div class="mat-progress-bar-wrapper" *ngIf="editprogress">
        <div class="progressbar-title" *ngIf="progressbar == 100"></div>
        <div class="progressbar-title" *ngIf="progressbar != 100"> Uploading Status</div>
        <kendo-progressbar [value]="progressbar" [label]="label"></kendo-progressbar>
      </div>
      <div *ngIf="progressbar == 100 || !editprogress">
        <div class="form-heading-wrapper" *ngIf="actiondata != 'edit'">
          <span class="ml-2 mt-4 heading-wrapper normalhelfont">
            Please enter document details.
          </span>
        </div>
        <div class="form-group row mt-12 mb-0">

          <!-- Document Name  -->
          <div class="col-xl-12 text-right text-required">
            <span>Required</span>
          </div>
          <div class="col-xl-12">
            <mat-form-field appearance="outline" class="full-width" id="templatename-field">
              <mat-label>Document Name</mat-label>
              <input matInput placeholder="Document Name" formControlName="documentName" required />
              <mat-error *ngIf="UploadDocumentForm.get('documentName').hasError('required')">
                Docuemnt Name is required.
              </mat-error>
            </mat-form-field>
          </div>
          <!-- Updated Date  -->
          <div class="col-xl-12">
            <mat-form-field appearance="outline" class="full-width" id="templatename-field">
              <mat-label>Uploaded Date</mat-label>
              <input matInput [matDatepicker]="picker" formControlName="uploadedDate" required>
              <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
              <mat-datepicker #picker></mat-datepicker>
              <mat-hint>DD/MM/YYYY</mat-hint>
              <mat-error *ngIf="UploadDocumentForm.get('uploadedDate').hasError('required')">
                Please select Date.
              </mat-error>
            </mat-form-field>
          </div>
          <!--Document Type  -->
          <div class="col-xl-12 text-right text-required">
            <span>Required</span>
          </div>
          <div class="col-xl-12 align-items-right">
            <mat-form-field appearance="outline" class="full-width" id="templatename-field">
              <mat-label>Document Type</mat-label>
              <mat-select formControlName="documentTypes" placeholder="Document Type" required>
                <mat-option *ngFor="let a of filterTypeData" [value]="a.folderName">
                  {{a.folderName}}
                </mat-option>
                <mat-option value="Photos">
                  Photos
                </mat-option>
                <mat-option value="Imaging">
                  Imaging
                </mat-option>
                <mat-option value="Lab Results">
                  Lab Results
                </mat-option>
                <mat-option value="Referrals">
                  Referrals
                </mat-option>
                <mat-option value="Reports">
                  Reports
                </mat-option>
              </mat-select>
            </mat-form-field>
          </div>

          <!-- Case Name  -->
          <div class="col-xl-12 text-right text-required">
            <span>Required</span>
          </div>
          <div class="col-xl-12 align-items-right">
            <mat-form-field appearance="outline" class="full-width" id="templatename-field">
              <mat-label>Case Name</mat-label>
              <mat-select formControlName="caseName" required>
                <mat-option [value]="item.caseName" *ngFor="let item of lstgeneralCase">
                  {{item.caseName}}
                </mat-option>
              </mat-select>
              <mat-error *ngIf="UploadDocumentForm.get('caseName').hasError('required')">
                Case Name is required.
              </mat-error>
            </mat-form-field>
          </div>
          <!-- Document Description  -->
          <div class="col-xl-12 d-flex align-items-center">
            <mat-form-field appearance="outline" class="full-width text-full-width">
              <textarea matInput placeholder="Document Description" formControlName="note" class="textarea-wrapper"></textarea>
            </mat-form-field>
          </div>

        </div>
        <mat-divider class=""></mat-divider>
        <!-- <mat-dialog-content> -->
        <div class="bottom-bar-wrapper">
          <div class="text-right control-row">
            <div class="pt-3">
              <button mat-stroked-button color="accent" class="mr-3 cancelbutton-wrapper footer-btn-customize" (click)="close()">Cancel</button>
              <button mat-raised-button color="accent" class=" save-btn-wrapper footer-btn-customize" (click)="uploadDocument()" *ngIf="editprogress" [disabled]="UploadDocumentForm.invalid">Upload</button>
              <button mat-raised-button color="accent" (click)="uploadDocument()" *ngIf="!editprogress" class="save-btn-wrapper footer-btn-customize" [disabled]="UploadDocumentForm.invalid">Save</button>
            </div>
          </div>
        </div>
        <!-- </mat-dialog-content> -->
      </div>
    </form>
  </div>
  <div class="close-btn-wrapper">
    <button mat-icon-button (click)="close()" aria-label="Close dialog">
      <mat-icon class="close-btn">close</mat-icon>
    </button>
  </div>
</div>
